package com.ynet.life.action;

import com.jcraft.jsch.ChannelSftp;
import com.jcraft.jsch.Session;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import com.ynet.life.net.sftp.SftpService;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/BackUpAttachAction.class */
public class BackUpAttachAction extends LifeJDBCAction {
    private String sftpServerAddress = "/opt/jboss/jboss-eap-6.3/szyqjrb/deployments/szyqjrb.war/upload/backup";
    private String localAddress = "/usr/jboss/jboss-eap-6.3/szyqjrb/deployments/szyqjrb.war/";

    public String execute(Context ctx) throws GENEException {
        String sourceFilePath;
        String str;
        String sourceFilePath2;
        String str2;
        TranFailException tranFailException = null;
        try {
            try {
                ChannelSftp connection = LifeDBAccess.getConnection();
                ResultSet sourceResultSet = connection.prepareStatement("SELECT FGA_ATTACH,FGA_ATTNAME FROM fsp_gua_attach WHERE DATE_FORMAT(FGA_OPTIME,'%Y-%m-%d') = date_sub(date(NOW()),interval 1 day)").executeQuery();
                ResultSet ZDSourceResultSet = connection.prepareStatement("SELECT FLA_ZDTZSPATH FROM fsp_loan_apply WHERE DATE_FORMAT(FLA_ZDTZSTIME,'%Y-%m-%d') = date_sub(date(NOW()),interval 1 day) AND FLA_APPLYSTT='1'").executeQuery();
                Session session = null;
                ChannelSftp sftp = null;
                SftpService sftpService = (SftpService) ctx.getService("sftpService");
                System.out.println("=====================sftpService:".concat(String.valueOf(sftpService)));
                try {
                    try {
                        session = sftpService.getSftpSession();
                        System.out.println("1111111");
                        sftp = sftpService.getSftpClient(session);
                        System.out.println("22222222");
                        while (sourceResultSet.next()) {
                            String filePath = sourceResultSet.getString(1);
                            String fileName = sourceResultSet.getString(2);
                            if (filePath.startsWith("upload")) {
                                sourceFilePath2 = String.valueOf(this.localAddress) + filePath + LifeFile.DIR_SEPARATOR + fileName;
                                str2 = String.valueOf(this.sftpServerAddress) + filePath + LifeFile.DIR_SEPARATOR + fileName;
                            } else {
                                String tempFilePath = filePath.substring(filePath.indexOf("upload"));
                                sourceFilePath2 = String.valueOf(filePath) + LifeFile.DIR_SEPARATOR + fileName;
                                str2 = String.valueOf(this.sftpServerAddress) + LifeFile.DIR_SEPARATOR + tempFilePath + LifeFile.DIR_SEPARATOR + fileName;
                            }
                            sftpService.uploadFile(sftp, sourceFilePath2, str2);
                        }
                        while (ZDSourceResultSet.next()) {
                            String filePath2 = ZDSourceResultSet.getString(1);
                            if (filePath2.startsWith("upload")) {
                                sourceFilePath = String.valueOf(this.localAddress) + filePath2;
                                str = String.valueOf(this.sftpServerAddress) + filePath2;
                            } else {
                                String tempZDFilePath = filePath2.substring(filePath2.indexOf("upload"));
                                sourceFilePath = filePath2;
                                str = String.valueOf(this.sftpServerAddress) + LifeFile.DIR_SEPARATOR + tempZDFilePath;
                            }
                            sftpService.uploadFile(sftp, sourceFilePath, str);
                        }
                        if (session != null) {
                            session.disconnect();
                        }
                        ChannelSftp channelSftp = sftp;
                        if (channelSftp != null) {
                            channelSftp = sftp;
                            channelSftp.disconnect();
                        }
                        try {
                            channelSftp = connection;
                            LifeDBAccess.releaseConnection(channelSftp);
                            return "0";
                        } catch (TranFailException e) {
                            channelSftp.printStackTrace();
                            return "0";
                        }
                    } catch (TranFailException e2) {
                        if (session != null) {
                            session.disconnect();
                        }
                        if (sftp != null) {
                            sftp.disconnect();
                        }
                        Trace.logError("LifeAction", e2.getMessage(), e2);
                        throw e2;
                    }
                } catch (Throwable th) {
                    if (session != null) {
                        session.disconnect();
                    }
                    if (sftp != null) {
                        sftp.disconnect();
                    }
                    throw th;
                }
            } catch (Throwable th2) {
                try {
                    tranFailException = null;
                    LifeDBAccess.releaseConnection((Connection) null);
                } catch (TranFailException e3) {
                    tranFailException.printStackTrace();
                }
                throw th2;
            }
        } catch (TranFailException e4) {
            try {
                tranFailException = null;
                tranFailException.rollback();
            } catch (SQLException e5) {
                tranFailException.printStackTrace();
            }
            e4.printStackTrace();
            try {
                LifeDBAccess.releaseConnection((Connection) null);
                return "0";
            } catch (TranFailException e6) {
                tranFailException.printStackTrace();
                return "0";
            }
        } catch (SQLException e7) {
            try {
                tranFailException = null;
                tranFailException.rollback();
            } catch (SQLException e8) {
                tranFailException.printStackTrace();
            }
            e7.printStackTrace();
            try {
                LifeDBAccess.releaseConnection((Connection) null);
                return "0";
            } catch (TranFailException e9) {
                tranFailException.printStackTrace();
                return "0";
            }
        }
    }

    public String getCurrentTime(String fmt) {
        Date date = Calendar.getInstance().getTime();
        if (fmt == null || "".equals(fmt)) {
            return String.valueOf(date.getTime());
        }
        return new SimpleDateFormat(fmt).format(date);
    }

    public static void main(String[] args) {
        System.out.println("/usr/jboss/jboss-eap-6.3/szyqjrb/deployments/szyqjrb.war/upload/upload/20200303/20200303143546829384.pdf".substring(0, "/usr/jboss/jboss-eap-6.3/szyqjrb/deployments/szyqjrb.war/upload/upload/20200303/20200303143546829384.pdf".lastIndexOf("/")));
    }
}
